package org.jeecg.yw.ml;

import com.alibaba.fastjson.JSONObject;

import java.util.Map;
import java.util.Set;

public class LinearRegression {
    // 获取结果
    public static String getResult(Map<String, Object> map) {
        String result[] = new String[9];
        result[0] = "您的饮食缺少蛋白质,请多吃一些肉类、鱼类、蛋类、奶类等食物";
        result[1] = "您的饮食缺少脂肪,请多吃一些肉类、鱼类、蛋类、奶类等食物";
        result[2] = "您的饮食缺少碳水化合物,请多吃一些米面类食物";
        result[3] = "您的饮食缺少维生素,请多吃一些水果、蔬菜等食物";
        result[4] = "您的饮食缺少矿物质,请多吃一些水果、蔬菜等食物";
        result[5] = "您的饮食缺少纤维,请多吃一些水果、蔬菜等食物";
        result[6] = "您的饮食缺少水,请多喝水";
        result[7] = "您的饮食过多,请适量减少食物摄入";
        result[8] = "您的饮食过油腻,请适量减少食物摄入";
        // 每条结果有30%的概率出现
        Set<Integer> set = new java.util.HashSet<>();
        // 随机9次，每次都是30%的概率，将结果加入set
        for (int i = 0; i < 9; i++) {
            int random = (int) (Math.random() * 10);
            if (random < 3) {
                set.add(i);
            }
        }
        //拼接结果
        String resultStr = "";
        int j = 0;
        for (int i : set) {
            j++;
            resultStr += j + "." + result[i] + "\n";
        }

        return resultStr;
    }


}
